var t=0;
var currNo=0;//当前图片序号
var count=0;//图片数量
$(function(){
	count = $("#play_list a").size();
	t = setInterval("showAuto()", 5000);
	$("#play_list a:not(:first-child)").hide();
	$("#play_text li:first-child").addClass('on');
	$("#play_list img").each(function(j,m){
	    $(this).hover(function(){
	        clearInterval(t);
	        currNo = j;					    
	    },function(){
			t = setInterval("showAuto()", 5000);
	    });
	});
	$("#play_text li").each(function(i,n){
	    $(this).hover(function(){
			clearInterval(t);
			if(i==currNo || i>=count)return false;	        
	        currNo = i;
		    $("#play_list a").filter(":visible").fadeOut(500).parent().children().eq(currNo).fadeIn(1000);
		    $(this).addClass('on').siblings().removeClass('on');
		},function(){
			t = setInterval("showAuto()", 5000);
	    });
	});
})

function showAuto(){
	currNo = currNo >= (count - 1) ? 0 : currNo+1;
	$("#play_list a").filter(":visible").fadeOut(500).parent().children().eq(currNo).fadeIn(1000);
	$("#play_text li").eq(currNo).addClass('on').siblings().removeClass('on');
}
